# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: python-devel
# END SourceDeps(oneline)
%define oldname python-psphere
Summary: vSphere SDK for Python
Name: python-module-psphere
Version: 0.1.4
Release: alt1_4
Source0: https://bitbucket.org/jkinred/psphere/downloads/psphere-%{version}.tar.gz
License: ASL 2.0
Group: Development/Python
BuildArch: noarch
BuildRequires: python-module-setuptools
URL: http://jkinred.bitbucket.org/psphere
Source44: import.info


%description
pSphere provides native Python bindings for the vSphere Web Services SDK
(formerly known as VMware Infrastructure SDK). The project is in its early
phases but can already perform most query operations and virtual machine
creation.

pSphere is in no way affiliated with VMware Inc.


%prep
%setup -q -n psphere-%{version}
sed -i '/\/usr\/bin\/env python/d' psphere/scripting.py


%build
%{__python} setup.py build


%install
%{__python} setup.py install --root=$RPM_BUILD_ROOT --skip-build


%files
%{python_sitelibdir_noarch}/psphere/
%{python_sitelibdir_noarch}/psphere-*.egg-info


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.4-alt1_4
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.1.4-alt1_3
- initial fc import

